%define realname   File-ShareDir
%define version    1.00
%define release    %mkrel 1

Name:       perl-%{realname}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Locate per-dist and per-module shared files  
Source:     http://www.cpan.org/modules/by-module/Wx/%{realname}-%{version}.tar.gz
Url:        http://search.cpan.org/dist/%{realname}
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl-devel
BuildRequires: perl(Params::Util)
BuildRequires: perl(Class::Inspector)

BuildArch: noarch

%description
Locate per-dist and per-module shared files  

%prep
%setup -q -n %{realname}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Aug 30 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.00-1mdv2009.0
+ Revision: 277666
- import perl-File-ShareDir


